Bug 1126918 - fedora-cert: traceback when trying to re-new expired cert and using wrong FAS password
Summary: fedora-cert: traceback when trying to re-new expired cert and using wrong FAS...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1130191 1218046 1317854 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 15:14 UTC by Jaroslav Škarvada
Modified: 2016-07-19 11:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:59:40 UTC


Attachments (Terms of Use)

Description Jaroslav Škarvada 2014-08-05 15:14:31 UTC
Description of problem:
There is traceback when trying to renew expired cert and using wrong FAS password. I reproduced this twice. And it is something that shouldn't happen. Also it may be possible that the traceback occure even if the cert is not expired (I haven't tried. this scenario).

Version-Release number of selected component (if applicable):
fedora-packager-0.5.10.3-1.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. Let the cert expire
2. Run fedora-cert
3. Provide wrong FAS password

Actual results:
Certificate has expired, getting a new one
FAS Password: 
Traceback (most recent call last):
  File "/usr/bin/fedora-cert", line 71, in <module>
    main(opts)
  File "/usr/bin/fedora-cert", line 46, in main
    fedora_cert.create_user_cert(username)
  File "/usr/lib/python2.7/site-packages/fedora_cert/__init__.py", line 96, in create_user_cert
    cert = fas.user_gencert()
  File "/usr/lib/python2.7/site-packages/fedora/client/fas2.py", line 866, in user_gencert
    request = self.send_request('user/dogencert', auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 369, in send_request
    auth_params=auth_params, retries=retries, timeout=timeout)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 473, in send_request
    'Unable to log into server.  Invalid'
fedora.client.AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password

Expected results:
No traceback, legible error message.

Additional info:

Comment 1 Fedora End Of Life 2015-05-29 12:34:03 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Tomáš Hozza 🤓 2015-06-01 11:35:19 UTC
Still the case in F22 with fedora-packager-0.5.10.5-1.fc22.noarch

Comment 3 Till Maas 2016-05-22 10:05:21 UTC
Upstream pull request: https://pagure.io/fedora-packager/pull-request/3

Comment 4 Till Maas 2016-05-22 10:07:18 UTC
*** Bug 1130191 has been marked as a duplicate of this bug. ***

Comment 5 Till Maas 2016-05-22 10:07:27 UTC
*** Bug 1218046 has been marked as a duplicate of this bug. ***

Comment 6 Till Maas 2016-05-22 10:07:37 UTC
*** Bug 1317854 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2016-07-19 11:59:40 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.